﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        public DateTime DateFrom { get; set; } = new DateTime(2018, 10, 10);
        public DateTime DateTo { get; set; } = new DateTime(2018, 11, 10);

        public List<Person> Data { get; set; }
        public ViewModel()
        {
            DateTime date = new DateTime(2018, 10, 10);
            Data = new List<Person>();
            Random random = new Random();

            for (int i = 0; i < 30; i++)
            {
                Data.Add(new Person(date.AddDays(i), random.Next(10, 50)));
            }
        }
    }

    public class Person
    {
        public DateTime Date { get; set; }

        public double TotalDailyDosage { get; set; }

        public Person(DateTime date, double totalDailyDosage)
        {
            this.Date = date;
            this.TotalDailyDosage = totalDailyDosage;
        }
    }
}
